#menu {

    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 900;
    height: 33px;
    background: white;

    color: rgb(3, 3, 3);
    font-size: 12px;
    display: block;
    text-transform: uppercase;
    letter-spacing: 2px;
    padding-right: 4em;

    padding-top: 1.5em;

    text-align: right;
    cursor: pointer;

    transition: background 0.4s ease-in-out;
}

#menu.white {
    background: #ffffff00;
    color: rgb(0, 0, 0);
}

#menu::after {
    content: "";
    position: absolute;
    right: 1.5em;
    top: 1.5em;
    width: 1.4em;
    height: 0.15em;
    background: rgb(0, 0, 0);
    box-shadow:
        0 0.45em 0 0 rgb(0, 0, 0),
        0 0.9em 0 0 rgb(0, 0, 0);
}

nav {
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    pointer-events: none;
    overflow: hidden;

}

nav .overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(17, 19, 23, 0.5);

    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

nav.active {
    pointer-events: inherit;

}

nav.active .overlay {
    opacity: 1;
    left: 0;
}

nav .content {
    position: absolute;
    background: #ffffff;
    top: 0;
    right: 0;
    bottom: 0;
    width: auto;
    text-align: left;
    padding: 4em 2em 0;

    transform: translate3d(100%, 0, 0);
    transition: transform 0.3s ease-in-out;

    -webkit-transform: translate3d(100%, 0, 0);
    transition: -webkit-transform 0.3s ease-in-out;
}

nav.active .content {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

nav .content a {
    font-size: 0.9em;
    letter-spacing: 2px;
    display: block;
    color: rgb(64, 64, 64);
    text-decoration: none;
    text-transform: uppercase;
    padding: 1.2em 1em;
    border-bottom: 1px solid #898989;

    min-width: 250px;

    transition: opacity 0.4s ease-in-out;
}

nav .content a:hover {
    opacity: 0.6;
}

nav .content a:last-child {
    border: 0;
}

@media screen and (max-width: 860px) {

    #menu {
        height: 45px;
        line-height: 2.2rem;
    }

    #menu::after {
        top: 1.7rem;
    }
}